<?php
namespace bwdctc_clickcall_namespace;

use bwdctc_clickcall_namespace\PageSettings\Page_Settings;
define( "BWDCTC_ASFSK_ASSETS_PUBLIC_DIR_FILE", plugin_dir_url( __FILE__ ) . "assets/public" );
define( "BWDCTC_ASFSK_ASSETS_ADMIN_DIR_FILE", plugin_dir_url( __FILE__ ) . "assets/admin" );
class Classbwdctcclicktocall {

	private static $_instance = null;

	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	public function bwdctc_admin_editor_scripts() {
		add_filter( 'script_loader_tag', [ $this, 'bwdctc_admin_editor_scripts_as_a_module' ], 10, 2 );
	}

	public function bwdctc_admin_editor_scripts_as_a_module( $tag, $handle ) {
		if ( 'bwdctc_clickcall_editor' === $handle ) {
			$tag = str_replace( '<script', '<script type="module"', $tag );
		}

		return $tag;
	}

	private function include_widgets_files() {
		require_once( __DIR__ . '/widgets/bwdctc-clickcall-widget.php' );
	}

	public function bwdctc_register_widgets() {
		// Its is now safe to include Widgets files
		$this->include_widgets_files();

		// Register WidgetsF
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\bwdctcclickcall_widgets());
	}

	private function add_page_settings_controls() {
		require_once( __DIR__ . '/page-settings/bwdctc-clickcall-manager.php' );
		new Page_Settings();
	}

	// Register Category
	function bwdctc_clickcall_add_elementor_widget_categories( $elements_manager ) {

		$elements_manager->add_category(
			'bwdctc-clickcall-category',
			[
				'title' => esc_html__( 'Click To Contact', 'bwdctc-clickcall-td' ),
				'icon' => 'eicon-person',
			]
		);
	}

	//css-js-link-here
	public function bwdctc_all_assets_for_the_public(){

		wp_enqueue_script( 'bwdctc_clickcall_main_js', plugin_dir_url( __FILE__ ) . 'assets/public/js/main.js', array('jquery'), '1.3', true );

		$all_css_file = array(

            'bwdctc_clickcall_plugin_fontawesome_css' => array('bwdctc_clickcall_css_path_define'=>BWDCTC_ASFSK_ASSETS_PUBLIC_DIR_FILE . '/css/fontawesome.min.css'),

            'bwdctc_clickcall_plugin_animate_css' => array('bwdctc_clickcall_css_path_define'=>BWDCTC_ASFSK_ASSETS_PUBLIC_DIR_FILE . '/css/animate.css'),

            'bwdctc_clickcall_plugin_main_css' => array('bwdctc_clickcall_css_path_define'=>BWDCTC_ASFSK_ASSETS_PUBLIC_DIR_FILE . '/css/main.css'),


        );
        foreach($all_css_file as $handle => $fileinfo){
            wp_enqueue_style( $handle, $fileinfo['bwdctc_clickcall_css_path_define'], null, '1.3', 'all');
        }

	}

	//admin-icon
	public function bwdctc_all_assets_for_elementor_editor_admin(){
		$all_css_js_file = array(
            'bwdctc_clickcall_admin_main_css' => array('bwdctc_path_admin_define'=>BWDCTC_ASFSK_ASSETS_ADMIN_DIR_FILE . '/icon.css'),
        );
        foreach($all_css_js_file as $handle => $fileinfo){
            wp_enqueue_style( $handle, $fileinfo['bwdctc_path_admin_define'], null, '1.3', 'all');
        }
	}
	
	public function __construct() {

		// For public assets
		add_action('wp_enqueue_scripts', [$this, 'bwdctc_all_assets_for_the_public']);

		// For Elementor Editor
		add_action('elementor/editor/before_enqueue_scripts', [$this, 'bwdctc_all_assets_for_elementor_editor_admin']);
		
		// Register Category
		add_action( 'elementor/elements/categories_registered', [ $this, 'bwdctc_clickcall_add_elementor_widget_categories' ] );

		// Register widgets
		add_action( 'elementor/widgets/widgets_registered', [ $this, 'bwdctc_register_widgets' ] );

		// Register editor scripts
		add_action( 'elementor/editor/after_enqueue_scripts', [ $this, 'bwdctc_admin_editor_scripts' ] );
		
		$this->add_page_settings_controls();
	}
}

// Instantiate Plugin Class
Classbwdctcclicktocall::instance();